# -*- coding: UTF-8 -*-


"""
Data literal storing emoji names and codes
"""


from collections import OrderedDict


CODES = OrderedDict(**{
    'admission_tickets': u'\U0001F39F',
    'aerial_tramway': u'\U0001F6A1',
    'airplane': u'\U00002708',
    'airplane_arriving': u'\U0001F6EC',
    'airplane_departure': u'\U0001F6EB',
    'alarm_clock': u'\U000023F0',
    'alembic': u'\U00002697',
    'alien_monster': u'\U0001F47E',
    'ambulance': u'\U0001F691',
    'american_football': u'\U0001F3C8',
    'amphora': u'\U0001F3FA',
    'anchor': u'\U00002693',
    'anger_symbol': u'\U0001F4A2',
    'angry_face': u'\U0001F620',
    'anguished_face': u'\U0001F627',
    'ant': u'\U0001F41C',
    'antenna_with_bars': u'\U0001F4F6',
    'anticlockwise_downwards_and_upwards_open_circle_arrows': u'\U0001F504',
    'aquarius': u'\U00002652',
    'aries': u'\U00002648',
    'arrow_pointing_rightwards_then_curving_downwards': u'\U00002935',
    'arrow_pointing_rightwards_then_curving_upwards': u'\U00002934',
    'articulated_lorry': u'\U0001F69B',
    'artist_palette': u'\U0001F3A8',
    'astonished_face': u'\U0001F632',
    'athletic_shoe': u'\U0001F45F',
    'atom_symbol': u'\U0000269B',
    'aubergine': u'\U0001F346',
    'automated_teller_machine': u'\U0001F3E7',
    'automobile': u'\U0001F697',
    'baby': u'\U0001F476',
    'baby_angel': u'\U0001F47C',
    'baby_bottle': u'\U0001F37C',
    'baby_chick': u'\U0001F424',
    'baby_symbol': u'\U0001F6BC',
    'back_with_leftwards_arrow_above': u'\U0001F519',
    'bactrian_camel': u'\U0001F42B',
    'badminton_racquet_and_shuttlecock': u'\U0001F3F8',
    'baggage_claim': u'\U0001F6C4',
    'balloon': u'\U0001F388',
    'ballot_box_with_ballot': u'\U0001F5F3',
    'ballot_box_with_check': u'\U00002611',
    'banana': u'\U0001F34C',
    'bank': u'\U0001F3E6',
    'banknote_with_dollar_sign': u'\U0001F4B5',
    'banknote_with_euro_sign': u'\U0001F4B6',
    'banknote_with_pound_sign': u'\U0001F4B7',
    'banknote_with_yen_sign': u'\U0001F4B4',
    'bar_chart': u'\U0001F4CA',
    'barber_pole': u'\U0001F488',
    'baseball': u'\U000026BE',
    'basketball_and_hoop': u'\U0001F3C0',
    'bath': u'\U0001F6C0',
    'bathtub': u'\U0001F6C1',
    'battery': u'\U0001F50B',
    'beach_with_umbrella': u'\U0001F3D6',
    'bear_face': u'\U0001F43B',
    'beating_heart': u'\U0001F493',
    'bed': u'\U0001F6CF',
    'beer_mug': u'\U0001F37A',
    'bell': u'\U0001F514',
    'bell_with_cancellation_stroke': u'\U0001F515',
    'bellhop_bell': u'\U0001F6CE',
    'bento_box': u'\U0001F371',
    'bicycle': u'\U0001F6B2',
    'bicyclist': u'\U0001F6B4',
    'bikini': u'\U0001F459',
    'billiards': u'\U0001F3B1',
    'biohazard_sign': u'\U00002623',
    'bird': u'\U0001F426',
    'birthday_cake': u'\U0001F382',
    'black_circle_for_record': u'\U000023FA',
    'black_club_suit': u'\U00002663',
    'black_diamond_suit': u'\U00002666',
    'black_down-pointing_double_triangle': u'\U000023EC',
    'black_heart_suit': u'\U00002665',
    'black_large_square': u'\U00002B1B',
    'black_left-pointing_double_triangle': u'\U000023EA',
    'black_left-pointing_double_triangle_with_vertical_bar': u'\U000023EE',
    'black_left-pointing_triangle': u'\U000025C0',
    'black_medium_small_square': u'\U000025FE',
    'black_medium_square': u'\U000025FC',
    'black_nib': u'\U00002712',
    'black_question_mark_ornament': u'\U00002753',
    'black_right-pointing_double_triangle': u'\U000023E9',
    'black_right-pointing_double_triangle_with_vertical_bar': u'\U000023ED',
    'black_right-pointing_triangle': u'\U000025B6',
    'black_right-pointing_triangle_with_double_vertical_bar': u'\U000023EF',
    'black_rightwards_arrow': u'\U000027A1',
    'black_scissors': u'\U00002702',
    'black_small_square': u'\U000025AA',
    'black_spade_suit': u'\U00002660',
    'black_square_button': u'\U0001F532',
    'black_square_for_stop': u'\U000023F9',
    'black_sun_with_rays': u'\U00002600',
    'black_telephone': u'\U0000260E',
    'black_universal_recycling_symbol': u'\U0000267B',
    'black_up-pointing_double_triangle': u'\U000023EB',
    'blossom': u'\U0001F33C',
    'blowfish': u'\U0001F421',
    'blue_book': u'\U0001F4D8',
    'blue_heart': u'\U0001F499',
    'boar': u'\U0001F417',
    'bomb': u'\U0001F4A3',
    'bookmark': u'\U0001F516',
    'bookmark_tabs': u'\U0001F4D1',
    'books': u'\U0001F4DA',
    'bottle_with_popping_cork': u'\U0001F37E',
    'bouquet': u'\U0001F490',
    'bow_and_arrow': u'\U0001F3F9',
    'bowling': u'\U0001F3B3',
    'boy': u'\U0001F466',
    'bread': u'\U0001F35E',
    'bride_with_veil': u'\U0001F470',
    'bridge_at_night': u'\U0001F309',
    'briefcase': u'\U0001F4BC',
    'broken_heart': u'\U0001F494',
    'bug': u'\U0001F41B',
    'building_construction': u'\U0001F3D7',
    'burrito': u'\U0001F32F',
    'bus': u'\U0001F68C',
    'bus_stop': u'\U0001F68F',
    'bust_in_silhouette': u'\U0001F464',
    'busts_in_silhouette': u'\U0001F465',
    'cactus': u'\U0001F335',
    'calendar': u'\U0001F4C5',
    'camera': u'\U0001F4F7',
    'camera_with_flash': u'\U0001F4F8',
    'camping': u'\U0001F3D5',
    'cancer': u'\U0000264B',
    'candle': u'\U0001F56F',
    'candy': u'\U0001F36C',
    'capricorn': u'\U00002651',
    'card_file_box': u'\U0001F5C3',
    'card_index': u'\U0001F4C7',
    'card_index_dividers': u'\U0001F5C2',
    'carousel_horse': u'\U0001F3A0',
    'carp_streamer': u'\U0001F38F',
    'cat': u'\U0001F408',
    'cat_face': u'\U0001F431',
    'cat_face_with_tears_of_joy': u'\U0001F639',
    'cat_face_with_wry_smile': u'\U0001F63C',
    'chains': u'\U000026D3',
    'chart_with_downwards_trend': u'\U0001F4C9',
    'chart_with_upwards_trend': u'\U0001F4C8',
    'chart_with_upwards_trend_and_yen_sign': u'\U0001F4B9',
    'cheering_megaphone': u'\U0001F4E3',
    'cheese_wedge': u'\U0001F9C0',
    'chequered_flag': u'\U0001F3C1',
    'cherries': u'\U0001F352',
    'cherry_blossom': u'\U0001F338',
    'chestnut': u'\U0001F330',
    'chicken': u'\U0001F414',
    'children_crossing': u'\U0001F6B8',
    'chipmunk': u'\U0001F43F',
    'chocolate_bar': u'\U0001F36B',
    'christmas_tree': u'\U0001F384',
    'church': u'\U000026EA',
    'cinema': u'\U0001F3A6',
    'circled_ideograph_accept': u'\U0001F251',
    'circled_ideograph_advantage': u'\U0001F250',
    'circled_ideograph_congratulation': u'\U00003297',
    'circled_ideograph_secret': u'\U00003299',
    'circled_latin_capital_letter_m': u'\U000024C2',
    'circus_tent': u'\U0001F3AA',
    'cityscape': u'\U0001F3D9',
    'cityscape_at_dusk': u'\U0001F306',
    'clapper_board': u'\U0001F3AC',
    'clapping_hands_sign': u'\U0001F44F',
    'classical_building': u'\U0001F3DB',
    'clinking_beer_mugs': u'\U0001F37B',
    'clipboard': u'\U0001F4CB',
    'clock_face_eight-thirty': u'\U0001F563',
    'clock_face_eight_oclock': u'\U0001F557',
    'clock_face_eleven-thirty': u'\U0001F566',
    'clock_face_eleven_oclock': u'\U0001F55A',
    'clock_face_five-thirty': u'\U0001F560',
    'clock_face_five_oclock': u'\U0001F554',
    'clock_face_four-thirty': u'\U0001F55F',
    'clock_face_four_oclock': u'\U0001F553',
    'clock_face_nine-thirty': u'\U0001F564',
    'clock_face_nine_oclock': u'\U0001F558',
    'clock_face_one-thirty': u'\U0001F55C',
    'clock_face_one_oclock': u'\U0001F550',
    'clock_face_seven-thirty': u'\U0001F562',
    'clock_face_seven_oclock': u'\U0001F556',
    'clock_face_six-thirty': u'\U0001F561',
    'clock_face_six_oclock': u'\U0001F555',
    'clock_face_ten-thirty': u'\U0001F565',
    'clock_face_ten_oclock': u'\U0001F559',
    'clock_face_three-thirty': u'\U0001F55E',
    'clock_face_three_oclock': u'\U0001F552',
    'clock_face_twelve-thirty': u'\U0001F567',
    'clock_face_twelve_oclock': u'\U0001F55B',
    'clock_face_two-thirty': u'\U0001F55D',
    'clock_face_two_oclock': u'\U0001F551',
    'clockwise_downwards_and_upwards_open_circle_arrows': u'\U0001F503',
    'clockwise_rightwards_and_leftwards_open_circle_arrows': u'\U0001F501',
    'clockwise_rightwards_and_leftwards_open_circle_arrows_with_circled_one_overlay': u'\U0001F502',
    'closed_book': u'\U0001F4D5',
    'closed_lock_with_key': u'\U0001F510',
    'closed_mailbox_with_lowered_flag': u'\U0001F4EA',
    'closed_mailbox_with_raised_flag': u'\U0001F4EB',
    'closed_umbrella': u'\U0001F302',
    'cloud': u'\U00002601',
    'cloud_with_lightning': u'\U0001F329',
    'cloud_with_rain': u'\U0001F327',
    'cloud_with_snow': u'\U0001F328',
    'cloud_with_tornado': u'\U0001F32A',
    'cocktail_glass': u'\U0001F378',
    'coffin': u'\U000026B0',
    'collision_symbol': u'\U0001F4A5',
    'comet': u'\U00002604',
    'compression': u'\U0001F5DC',
    'confetti_ball': u'\U0001F38A',
    'confounded_face': u'\U0001F616',
    'confused_face': u'\U0001F615',
    'construction_sign': u'\U0001F6A7',
    'construction_worker': u'\U0001F477',
    'control_knobs': u'\U0001F39B',
    'convenience_store': u'\U0001F3EA',
    'cooked_rice': u'\U0001F35A',
    'cookie': u'\U0001F36A',
    'cooking': u'\U0001F373',
    'copyright_sign': u'\U000000A9',
    'couch_and_lamp': u'\U0001F6CB',
    'couple_with_heart': u'\U0001F491',
    'cow': u'\U0001F404',
    'cow_face': u'\U0001F42E',
    'crab': u'\U0001F980',
    'credit_card': u'\U0001F4B3',
    'crescent_moon': u'\U0001F319',
    'cricket_bat_and_ball': u'\U0001F3CF',
    'crocodile': u'\U0001F40A',
    'cross_mark': u'\U0000274C',
    'crossed_flags': u'\U0001F38C',
    'crossed_swords': u'\U00002694',
    'crown': u'\U0001F451',
    'crying_cat_face': u'\U0001F63F',
    'crying_face': u'\U0001F622',
    'crystal_ball': u'\U0001F52E',
    'curly_loop': u'\U000027B0',
    'currency_exchange': u'\U0001F4B1',
    'curry_and_rice': u'\U0001F35B',
    'custard': u'\U0001F36E',
    'customs': u'\U0001F6C3',
    'cyclone': u'\U0001F300',
    'dagger_knife': u'\U0001F5E1',
    'dancer': u'\U0001F483',
    'dango': u'\U0001F361',
    'dark_sunglasses': u'\U0001F576',
    'dash_symbol': u'\U0001F4A8',
    'deciduous_tree': u'\U0001F333',
    'delivery_truck': u'\U0001F69A',
    'department_store': u'\U0001F3EC',
    'derelict_house_building': u'\U0001F3DA',
    'desert': u'\U0001F3DC',
    'desert_island': u'\U0001F3DD',
    'desktop_computer': u'\U0001F5A5',
    'diamond_shape_with_a_dot_inside': u'\U0001F4A0',
    'direct_hit': u'\U0001F3AF',
    'disappointed_but_relieved_face': u'\U0001F625',
    'disappointed_face': u'\U0001F61E',
    'dizzy_face': u'\U0001F635',
    'dizzy_symbol': u'\U0001F4AB',
    'do_not_litter_symbol': u'\U0001F6AF',
    'dog': u'\U0001F415',
    'dog_face': u'\U0001F436',
    'dolphin': u'\U0001F42C',
    'door': u'\U0001F6AA',
    'double_curly_loop': u'\U000027BF',
    'double_exclamation_mark': u'\U0000203C',
    'double_vertical_bar': u'\U000023F8',
    'doughnut': u'\U0001F369',
    'dove_of_peace': u'\U0001F54A',
    'down-pointing_red_triangle': u'\U0001F53B',
    'down-pointing_small_red_triangle': u'\U0001F53D',
    'downwards_black_arrow': u'\U00002B07',
    'dragon': u'\U0001F409',
    'dragon_face': u'\U0001F432',
    'dress': u'\U0001F457',
    'dromedary_camel': u'\U0001F42A',
    'droplet': u'\U0001F4A7',
    'dvd': u'\U0001F4C0',
    'e-mail_symbol': u'\U0001F4E7',
    'ear': u'\U0001F442',
    'ear_of_maize': u'\U0001F33D',
    'ear_of_rice': u'\U0001F33E',
    'earth_globe_americas': u'\U0001F30E',
    'earth_globe_asia-australia': u'\U0001F30F',
    'earth_globe_europe-africa': u'\U0001F30D',
    'eight_pointed_black_star': u'\U00002734',
    'eight_spoked_asterisk': u'\U00002733',
    'eject_symbol': u'\U000023CF',
    'electric_light_bulb': u'\U0001F4A1',
    'electric_plug': u'\U0001F50C',
    'electric_torch': u'\U0001F526',
    'elephant': u'\U0001F418',
    'emoji_modifier_fitzpatrick_type-1-2': u'\U0001F3FB',
    'emoji_modifier_fitzpatrick_type-3': u'\U0001F3FC',
    'emoji_modifier_fitzpatrick_type-4': u'\U0001F3FD',
    'emoji_modifier_fitzpatrick_type-5': u'\U0001F3FE',
    'emoji_modifier_fitzpatrick_type-6': u'\U0001F3FF',
    'end_with_leftwards_arrow_above': u'\U0001F51A',
    'envelope': u'\U00002709',
    'envelope_with_downwards_arrow_above': u'\U0001F4E9',
    'european_castle': u'\U0001F3F0',
    'european_post_office': u'\U0001F3E4',
    'evergreen_tree': u'\U0001F332',
    'exclamation_question_mark': u'\U00002049',
    'expressionless_face': u'\U0001F611',
    'extraterrestrial_alien': u'\U0001F47D',
    'eye': u'\U0001F441',
    'eyeglasses': u'\U0001F453',
    'eyes': u'\U0001F440',
    'face_massage': u'\U0001F486',
    'face_savouring_delicious_food': u'\U0001F60B',
    'face_screaming_in_fear': u'\U0001F631',
    'face_throwing_a_kiss': u'\U0001F618',
    'face_with_cold_sweat': u'\U0001F613',
    'face_with_head-bandage': u'\U0001F915',
    'face_with_look_of_triumph': u'\U0001F624',
    'face_with_medical_mask': u'\U0001F637',
    'face_with_no_good_gesture': u'\U0001F645',
    'face_with_ok_gesture': u'\U0001F646',
    'face_with_open_mouth': u'\U0001F62E',
    'face_with_open_mouth_and_cold_sweat': u'\U0001F630',
    'face_with_rolling_eyes': u'\U0001F644',
    'face_with_stuck-out_tongue': u'\U0001F61B',
    'face_with_stuck-out_tongue_and_tightly-closed_eyes': u'\U0001F61D',
    'face_with_stuck-out_tongue_and_winking_eye': u'\U0001F61C',
    'face_with_tears_of_joy': u'\U0001F602',
    'face_with_thermometer': u'\U0001F912',
    'face_without_mouth': u'\U0001F636',
    'factory': u'\U0001F3ED',
    'fallen_leaf': u'\U0001F342',
    'family': u'\U0001F46A',
    'father_christmas': u'\U0001F385',
    'fax_machine': u'\U0001F4E0',
    'fearful_face': u'\U0001F628',
    'ferris_wheel': u'\U0001F3A1',
    'ferry': u'\U000026F4',
    'field_hockey_stick_and_ball': u'\U0001F3D1',
    'file_cabinet': u'\U0001F5C4',
    'file_folder': u'\U0001F4C1',
    'film_frames': u'\U0001F39E',
    'film_projector': u'\U0001F4FD',
    'fire': u'\U0001F525',
    'fire_engine': u'\U0001F692',
    'firework_sparkler': u'\U0001F387',
    'fireworks': u'\U0001F386',
    'first_quarter_moon_symbol': u'\U0001F313',
    'first_quarter_moon_with_face': u'\U0001F31B',
    'fish': u'\U0001F41F',
    'fish_cake_with_swirl_design': u'\U0001F365',
    'fishing_pole_and_fish': u'\U0001F3A3',
    'fisted_hand_sign': u'\U0001F44A',
    'flag_for_Afghanistan': u'\U0001F1E6 \U0001F1EB',
    'flag_for_Albania': u'\U0001F1E6 \U0001F1F1',
    'flag_for_Algeria': u'\U0001F1E9 \U0001F1FF',
    'flag_for_American_Samoa': u'\U0001F1E6 \U0001F1F8',
    'flag_for_Andorra': u'\U0001F1E6 \U0001F1E9',
    'flag_for_Angola': u'\U0001F1E6 \U0001F1F4',
    'flag_for_Anguilla': u'\U0001F1E6 \U0001F1EE',
    'flag_for_Antarctica': u'\U0001F1E6 \U0001F1F6',
    'flag_for_Antigua_&_Barbuda': u'\U0001F1E6 \U0001F1EC',
    'flag_for_Argentina': u'\U0001F1E6 \U0001F1F7',
    'flag_for_Armenia': u'\U0001F1E6 \U0001F1F2',
    'flag_for_Aruba': u'\U0001F1E6 \U0001F1FC',
    'flag_for_Ascension_Island': u'\U0001F1E6 \U0001F1E8',
    'flag_for_Australia': u'\U0001F1E6 \U0001F1FA',
    'flag_for_Austria': u'\U0001F1E6 \U0001F1F9',
    'flag_for_Azerbaijan': u'\U0001F1E6 \U0001F1FF',
    'flag_for_Bahamas': u'\U0001F1E7 \U0001F1F8',
    'flag_for_Bahrain': u'\U0001F1E7 \U0001F1ED',
    'flag_for_Bangladesh': u'\U0001F1E7 \U0001F1E9',
    'flag_for_Barbados': u'\U0001F1E7 \U0001F1E7',
    'flag_for_Belarus': u'\U0001F1E7 \U0001F1FE',
    'flag_for_Belgium': u'\U0001F1E7 \U0001F1EA',
    'flag_for_Belize': u'\U0001F1E7 \U0001F1FF',
    'flag_for_Benin': u'\U0001F1E7 \U0001F1EF',
    'flag_for_Bermuda': u'\U0001F1E7 \U0001F1F2',
    'flag_for_Bhutan': u'\U0001F1E7 \U0001F1F9',
    'flag_for_Bolivia': u'\U0001F1E7 \U0001F1F4',
    'flag_for_Bosnia_&_Herzegovina': u'\U0001F1E7 \U0001F1E6',
    'flag_for_Botswana': u'\U0001F1E7 \U0001F1FC',
    'flag_for_Bouvet_Island': u'\U0001F1E7 \U0001F1FB',
    'flag_for_Brazil': u'\U0001F1E7 \U0001F1F7',
    'flag_for_British_Indian_Ocean_Territory': u'\U0001F1EE \U0001F1F4',
    'flag_for_British_Virgin_Islands': u'\U0001F1FB \U0001F1EC',
    'flag_for_Brunei': u'\U0001F1E7 \U0001F1F3',
    'flag_for_Bulgaria': u'\U0001F1E7 \U0001F1EC',
    'flag_for_Burkina_Faso': u'\U0001F1E7 \U0001F1EB',
    'flag_for_Burundi': u'\U0001F1E7 \U0001F1EE',
    'flag_for_Cambodia': u'\U0001F1F0 \U0001F1ED',
    'flag_for_Cameroon': u'\U0001F1E8 \U0001F1F2',
    'flag_for_Canada': u'\U0001F1E8 \U0001F1E6',
    'flag_for_Canary_Islands': u'\U0001F1EE \U0001F1E8',
    'flag_for_Cape_Verde': u'\U0001F1E8 \U0001F1FB',
    'flag_for_Caribbean_Netherlands': u'\U0001F1E7 \U0001F1F6',
    'flag_for_Cayman_Islands': u'\U0001F1F0 \U0001F1FE',
    'flag_for_Central_African_Republic': u'\U0001F1E8 \U0001F1EB',
    'flag_for_Ceuta_&_Melilla': u'\U0001F1EA \U0001F1E6',
    'flag_for_Chad': u'\U0001F1F9 \U0001F1E9',
    'flag_for_Chile': u'\U0001F1E8 \U0001F1F1',
    'flag_for_China': u'\U0001F1E8 \U0001F1F3',
    'flag_for_Christmas_Island': u'\U0001F1E8 \U0001F1FD',
    'flag_for_Clipperton_Island': u'\U0001F1E8 \U0001F1F5',
    'flag_for_Cocos__Islands': u'\U0001F1E8 \U0001F1E8',
    'flag_for_Colombia': u'\U0001F1E8 \U0001F1F4',
    'flag_for_Comoros': u'\U0001F1F0 \U0001F1F2',
    'flag_for_Congo_-_Brazzaville': u'\U0001F1E8 \U0001F1EC',
    'flag_for_Congo_-_Kinshasa': u'\U0001F1E8 \U0001F1E9',
    'flag_for_Cook_Islands': u'\U0001F1E8 \U0001F1F0',
    'flag_for_Costa_Rica': u'\U0001F1E8 \U0001F1F7',
    'flag_for_Croatia': u'\U0001F1ED \U0001F1F7',
    'flag_for_Cuba': u'\U0001F1E8 \U0001F1FA',
    'flag_for_Curaçao': u'\U0001F1E8 \U0001F1FC',
    'flag_for_Cyprus': u'\U0001F1E8 \U0001F1FE',
    'flag_for_Czech_Republic': u'\U0001F1E8 \U0001F1FF',
    'flag_for_Côte_d’Ivoire': u'\U0001F1E8 \U0001F1EE',
    'flag_for_Denmark': u'\U0001F1E9 \U0001F1F0',
    'flag_for_Diego_Garcia': u'\U0001F1E9 \U0001F1EC',
    'flag_for_Djibouti': u'\U0001F1E9 \U0001F1EF',
    'flag_for_Dominica': u'\U0001F1E9 \U0001F1F2',
    'flag_for_Dominican_Republic': u'\U0001F1E9 \U0001F1F4',
    'flag_for_Ecuador': u'\U0001F1EA \U0001F1E8',
    'flag_for_Egypt': u'\U0001F1EA \U0001F1EC',
    'flag_for_El_Salvador': u'\U0001F1F8 \U0001F1FB',
    'flag_for_Equatorial_Guinea': u'\U0001F1EC \U0001F1F6',
    'flag_for_Eritrea': u'\U0001F1EA \U0001F1F7',
    'flag_for_Estonia': u'\U0001F1EA \U0001F1EA',
    'flag_for_Ethiopia': u'\U0001F1EA \U0001F1F9',
    'flag_for_European_Union': u'\U0001F1EA \U0001F1FA',
    'flag_for_Falkland_Islands': u'\U0001F1EB \U0001F1F0',
    'flag_for_Faroe_Islands': u'\U0001F1EB \U0001F1F4',
    'flag_for_Fiji': u'\U0001F1EB \U0001F1EF',
    'flag_for_Finland': u'\U0001F1EB \U0001F1EE',
    'flag_for_France': u'\U0001F1EB \U0001F1F7',
    'flag_for_French_Guiana': u'\U0001F1EC \U0001F1EB',
    'flag_for_French_Polynesia': u'\U0001F1F5 \U0001F1EB',
    'flag_for_French_Southern_Territories': u'\U0001F1F9 \U0001F1EB',
    'flag_for_Gabon': u'\U0001F1EC \U0001F1E6',
    'flag_for_Gambia': u'\U0001F1EC \U0001F1F2',
    'flag_for_Georgia': u'\U0001F1EC \U0001F1EA',
    'flag_for_Germany': u'\U0001F1E9 \U0001F1EA',
    'flag_for_Ghana': u'\U0001F1EC \U0001F1ED',
    'flag_for_Gibraltar': u'\U0001F1EC \U0001F1EE',
    'flag_for_Greece': u'\U0001F1EC \U0001F1F7',
    'flag_for_Greenland': u'\U0001F1EC \U0001F1F1',
    'flag_for_Grenada': u'\U0001F1EC \U0001F1E9',
    'flag_for_Guadeloupe': u'\U0001F1EC \U0001F1F5',
    'flag_for_Guam': u'\U0001F1EC \U0001F1FA',
    'flag_for_Guatemala': u'\U0001F1EC \U0001F1F9',
    'flag_for_Guernsey': u'\U0001F1EC \U0001F1EC',
    'flag_for_Guinea': u'\U0001F1EC \U0001F1F3',
    'flag_for_Guinea-Bissau': u'\U0001F1EC \U0001F1FC',
    'flag_for_Guyana': u'\U0001F1EC \U0001F1FE',
    'flag_for_Haiti': u'\U0001F1ED \U0001F1F9',
    'flag_for_Heard_&_McDonald_Islands': u'\U0001F1ED \U0001F1F2',
    'flag_for_Honduras': u'\U0001F1ED \U0001F1F3',
    'flag_for_Hong_Kong': u'\U0001F1ED \U0001F1F0',
    'flag_for_Hungary': u'\U0001F1ED \U0001F1FA',
    'flag_for_Iceland': u'\U0001F1EE \U0001F1F8',
    'flag_for_India': u'\U0001F1EE \U0001F1F3',
    'flag_for_Indonesia': u'\U0001F1EE \U0001F1E9',
    'flag_for_Iran': u'\U0001F1EE \U0001F1F7',
    'flag_for_Iraq': u'\U0001F1EE \U0001F1F6',
    'flag_for_Ireland': u'\U0001F1EE \U0001F1EA',
    'flag_for_Isle_of_Man': u'\U0001F1EE \U0001F1F2',
    'flag_for_Israel': u'\U0001F1EE \U0001F1F1',
    'flag_for_Italy': u'\U0001F1EE \U0001F1F9',
    'flag_for_Jamaica': u'\U0001F1EF \U0001F1F2',
    'flag_for_Japan': u'\U0001F1EF \U0001F1F5',
    'flag_for_Jersey': u'\U0001F1EF \U0001F1EA',
    'flag_for_Jordan': u'\U0001F1EF \U0001F1F4',
    'flag_for_Kazakhstan': u'\U0001F1F0 \U0001F1FF',
    'flag_for_Kenya': u'\U0001F1F0 \U0001F1EA',
    'flag_for_Kiribati': u'\U0001F1F0 \U0001F1EE',
    'flag_for_Kosovo': u'\U0001F1FD \U0001F1F0',
    'flag_for_Kuwait': u'\U0001F1F0 \U0001F1FC',
    'flag_for_Kyrgyzstan': u'\U0001F1F0 \U0001F1EC',
    'flag_for_Laos': u'\U0001F1F1 \U0001F1E6',
    'flag_for_Latvia': u'\U0001F1F1 \U0001F1FB',
    'flag_for_Lebanon': u'\U0001F1F1 \U0001F1E7',
    'flag_for_Lesotho': u'\U0001F1F1 \U0001F1F8',
    'flag_for_Liberia': u'\U0001F1F1 \U0001F1F7',
    'flag_for_Libya': u'\U0001F1F1 \U0001F1FE',
    'flag_for_Liechtenstein': u'\U0001F1F1 \U0001F1EE',
    'flag_for_Lithuania': u'\U0001F1F1 \U0001F1F9',
    'flag_for_Luxembourg': u'\U0001F1F1 \U0001F1FA',
    'flag_for_Macau': u'\U0001F1F2 \U0001F1F4',
    'flag_for_Macedonia': u'\U0001F1F2 \U0001F1F0',
    'flag_for_Madagascar': u'\U0001F1F2 \U0001F1EC',
    'flag_for_Malawi': u'\U0001F1F2 \U0001F1FC',
    'flag_for_Malaysia': u'\U0001F1F2 \U0001F1FE',
    'flag_for_Maldives': u'\U0001F1F2 \U0001F1FB',
    'flag_for_Mali': u'\U0001F1F2 \U0001F1F1',
    'flag_for_Malta': u'\U0001F1F2 \U0001F1F9',
    'flag_for_Marshall_Islands': u'\U0001F1F2 \U0001F1ED',
    'flag_for_Martinique': u'\U0001F1F2 \U0001F1F6',
    'flag_for_Mauritania': u'\U0001F1F2 \U0001F1F7',
    'flag_for_Mauritius': u'\U0001F1F2 \U0001F1FA',
    'flag_for_Mayotte': u'\U0001F1FE \U0001F1F9',
    'flag_for_Mexico': u'\U0001F1F2 \U0001F1FD',
    'flag_for_Micronesia': u'\U0001F1EB \U0001F1F2',
    'flag_for_Moldova': u'\U0001F1F2 \U0001F1E9',
    'flag_for_Monaco': u'\U0001F1F2 \U0001F1E8',
    'flag_for_Mongolia': u'\U0001F1F2 \U0001F1F3',
    'flag_for_Montenegro': u'\U0001F1F2 \U0001F1EA',
    'flag_for_Montserrat': u'\U0001F1F2 \U0001F1F8',
    'flag_for_Morocco': u'\U0001F1F2 \U0001F1E6',
    'flag_for_Mozambique': u'\U0001F1F2 \U0001F1FF',
    'flag_for_Myanmar': u'\U0001F1F2 \U0001F1F2',
    'flag_for_Namibia': u'\U0001F1F3 \U0001F1E6',
    'flag_for_Nauru': u'\U0001F1F3 \U0001F1F7',
    'flag_for_Nepal': u'\U0001F1F3 \U0001F1F5',
    'flag_for_Netherlands': u'\U0001F1F3 \U0001F1F1',
    'flag_for_New_Caledonia': u'\U0001F1F3 \U0001F1E8',
    'flag_for_New_Zealand': u'\U0001F1F3 \U0001F1FF',
    'flag_for_Nicaragua': u'\U0001F1F3 \U0001F1EE',
    'flag_for_Niger': u'\U0001F1F3 \U0001F1EA',
    'flag_for_Nigeria': u'\U0001F1F3 \U0001F1EC',
    'flag_for_Niue': u'\U0001F1F3 \U0001F1FA',
    'flag_for_Norfolk_Island': u'\U0001F1F3 \U0001F1EB',
    'flag_for_North_Korea': u'\U0001F1F0 \U0001F1F5',
    'flag_for_Northern_Mariana_Islands': u'\U0001F1F2 \U0001F1F5',
    'flag_for_Norway': u'\U0001F1F3 \U0001F1F4',
    'flag_for_Oman': u'\U0001F1F4 \U0001F1F2',
    'flag_for_Pakistan': u'\U0001F1F5 \U0001F1F0',
    'flag_for_Palau': u'\U0001F1F5 \U0001F1FC',
    'flag_for_Palestinian_Territories': u'\U0001F1F5 \U0001F1F8',
    'flag_for_Panama': u'\U0001F1F5 \U0001F1E6',
    'flag_for_Papua_New_Guinea': u'\U0001F1F5 \U0001F1EC',
    'flag_for_Paraguay': u'\U0001F1F5 \U0001F1FE',
    'flag_for_Peru': u'\U0001F1F5 \U0001F1EA',
    'flag_for_Philippines': u'\U0001F1F5 \U0001F1ED',
    'flag_for_Pitcairn_Islands': u'\U0001F1F5 \U0001F1F3',
    'flag_for_Poland': u'\U0001F1F5 \U0001F1F1',
    'flag_for_Portugal': u'\U0001F1F5 \U0001F1F9',
    'flag_for_Puerto_Rico': u'\U0001F1F5 \U0001F1F7',
    'flag_for_Qatar': u'\U0001F1F6 \U0001F1E6',
    'flag_for_Romania': u'\U0001F1F7 \U0001F1F4',
    'flag_for_Russia': u'\U0001F1F7 \U0001F1FA',
    'flag_for_Rwanda': u'\U0001F1F7 \U0001F1FC',
    'flag_for_Réunion': u'\U0001F1F7 \U0001F1EA',
    'flag_for_Samoa': u'\U0001F1FC \U0001F1F8',
    'flag_for_San_Marino': u'\U0001F1F8 \U0001F1F2',
    'flag_for_Saudi_Arabia': u'\U0001F1F8 \U0001F1E6',
    'flag_for_Senegal': u'\U0001F1F8 \U0001F1F3',
    'flag_for_Serbia': u'\U0001F1F7 \U0001F1F8',
    'flag_for_Seychelles': u'\U0001F1F8 \U0001F1E8',
    'flag_for_Sierra_Leone': u'\U0001F1F8 \U0001F1F1',
    'flag_for_Singapore': u'\U0001F1F8 \U0001F1EC',
    'flag_for_Sint_Maarten': u'\U0001F1F8 \U0001F1FD',
    'flag_for_Slovakia': u'\U0001F1F8 \U0001F1F0',
    'flag_for_Slovenia': u'\U0001F1F8 \U0001F1EE',
    'flag_for_Solomon_Islands': u'\U0001F1F8 \U0001F1E7',
    'flag_for_Somalia': u'\U0001F1F8 \U0001F1F4',
    'flag_for_South_Africa': u'\U0001F1FF \U0001F1E6',
    'flag_for_South_Georgia_&_South_Sandwich_Islands': u'\U0001F1EC \U0001F1F8',
    'flag_for_South_Korea': u'\U0001F1F0 \U0001F1F7',
    'flag_for_South_Sudan': u'\U0001F1F8 \U0001F1F8',
    'flag_for_Spain': u'\U0001F1EA \U0001F1F8',
    'flag_for_Sri_Lanka': u'\U0001F1F1 \U0001F1F0',
    'flag_for_St._Barthélemy': u'\U0001F1E7 \U0001F1F1',
    'flag_for_St._Helena': u'\U0001F1F8 \U0001F1ED',
    'flag_for_St._Kitts_&_Nevis': u'\U0001F1F0 \U0001F1F3',
    'flag_for_St._Lucia': u'\U0001F1F1 \U0001F1E8',
    'flag_for_St._Martin': u'\U0001F1F2 \U0001F1EB',
    'flag_for_St._Pierre_&_Miquelon': u'\U0001F1F5 \U0001F1F2',
    'flag_for_St._Vincent_&_Grenadines': u'\U0001F1FB \U0001F1E8',
    'flag_for_Sudan': u'\U0001F1F8 \U0001F1E9',
    'flag_for_Suriname': u'\U0001F1F8 \U0001F1F7',
    'flag_for_Svalbard_&_Jan_Mayen': u'\U0001F1F8 \U0001F1EF',
    'flag_for_Swaziland': u'\U0001F1F8 \U0001F1FF',
    'flag_for_Sweden': u'\U0001F1F8 \U0001F1EA',
    'flag_for_Switzerland': u'\U0001F1E8 \U0001F1ED',
    'flag_for_Syria': u'\U0001F1F8 \U0001F1FE',
    'flag_for_São_Tomé_&_Príncipe': u'\U0001F1F8 \U0001F1F9',
    'flag_for_Taiwan': u'\U0001F1F9 \U0001F1FC',
    'flag_for_Tajikistan': u'\U0001F1F9 \U0001F1EF',
    'flag_for_Tanzania': u'\U0001F1F9 \U0001F1FF',
    'flag_for_Thailand': u'\U0001F1F9 \U0001F1ED',
    'flag_for_Timor-Leste': u'\U0001F1F9 \U0001F1F1',
    'flag_for_Togo': u'\U0001F1F9 \U0001F1EC',
    'flag_for_Tokelau': u'\U0001F1F9 \U0001F1F0',
    'flag_for_Tonga': u'\U0001F1F9 \U0001F1F4',
    'flag_for_Trinidad_&_Tobago': u'\U0001F1F9 \U0001F1F9',
    'flag_for_Tristan_da_Cunha': u'\U0001F1F9 \U0001F1E6',
    'flag_for_Tunisia': u'\U0001F1F9 \U0001F1F3',
    'flag_for_Turkey': u'\U0001F1F9 \U0001F1F7',
    'flag_for_Turkmenistan': u'\U0001F1F9 \U0001F1F2',
    'flag_for_Turks_&_Caicos_Islands': u'\U0001F1F9 \U0001F1E8',
    'flag_for_Tuvalu': u'\U0001F1F9 \U0001F1FB',
    'flag_for_U.S._Outlying_Islands': u'\U0001F1FA \U0001F1F2',
    'flag_for_U.S._Virgin_Islands': u'\U0001F1FB \U0001F1EE',
    'flag_for_Uganda': u'\U0001F1FA \U0001F1EC',
    'flag_for_Ukraine': u'\U0001F1FA \U0001F1E6',
    'flag_for_United_Arab_Emirates': u'\U0001F1E6 \U0001F1EA',
    'flag_for_United_Kingdom': u'\U0001F1EC \U0001F1E7',
    'flag_for_United_States': u'\U0001F1FA \U0001F1F8',
    'flag_for_Uruguay': u'\U0001F1FA \U0001F1FE',
    'flag_for_Uzbekistan': u'\U0001F1FA \U0001F1FF',
    'flag_for_Vanuatu': u'\U0001F1FB \U0001F1FA',
    'flag_for_Vatican_City': u'\U0001F1FB \U0001F1E6',
    'flag_for_Venezuela': u'\U0001F1FB \U0001F1EA',
    'flag_for_Vietnam': u'\U0001F1FB \U0001F1F3',
    'flag_for_Wallis_&_Futuna': u'\U0001F1FC \U0001F1EB',
    'flag_for_Western_Sahara': u'\U0001F1EA \U0001F1ED',
    'flag_for_Yemen': u'\U0001F1FE \U0001F1EA',
    'flag_for_Zambia': u'\U0001F1FF \U0001F1F2',
    'flag_for_Zimbabwe': u'\U0001F1FF \U0001F1FC',
    'flag_for_Åland_Islands': u'\U0001F1E6 \U0001F1FD',
    'flag_in_hole': u'\U000026F3',
    'fleur-de-lis': u'\U0000269C',
    'flexed_biceps': u'\U0001F4AA',
    'floppy_disk': u'\U0001F4BE',
    'flower_playing_cards': u'\U0001F3B4',
    'flushed_face': u'\U0001F633',
    'fog': u'\U0001F32B',
    'foggy': u'\U0001F301',
    'footprints': u'\U0001F463',
    'fork_and_knife': u'\U0001F374',
    'fork_and_knife_with_plate': u'\U0001F37D',
    'fountain': u'\U000026F2',
    'four_leaf_clover': u'\U0001F340',
    'frame_with_picture': u'\U0001F5BC',
    'french_fries': u'\U0001F35F',
    'fried_shrimp': u'\U0001F364',
    'frog_face': u'\U0001F438',
    'front-facing_baby_chick': u'\U0001F425',
    'frowning_face_with_open_mouth': u'\U0001F626',
    'fuel_pump': u'\U000026FD',
    'full_moon_symbol': u'\U0001F315',
    'full_moon_with_face': u'\U0001F31D',
    'funeral_urn': u'\U000026B1',
    'game_die': u'\U0001F3B2',
    'gear': u'\U00002699',
    'gem_stone': u'\U0001F48E',
    'gemini': u'\U0000264A',
    'ghost': u'\U0001F47B',
    'girl': u'\U0001F467',
    'globe_with_meridians': u'\U0001F310',
    'glowing_star': u'\U0001F31F',
    'goat': u'\U0001F410',
    'golfer': u'\U0001F3CC',
    'graduation_cap': u'\U0001F393',
    'grapes': u'\U0001F347',
    'green_apple': u'\U0001F34F',
    'green_book': u'\U0001F4D7',
    'green_heart': u'\U0001F49A',
    'grimacing_face': u'\U0001F62C',
    'grinning_cat_face_with_smiling_eyes': u'\U0001F638',
    'grinning_face': u'\U0001F600',
    'grinning_face_with_smiling_eyes': u'\U0001F601',
    'growing_heart': u'\U0001F497',
    'guardsman': u'\U0001F482',
    'guitar': u'\U0001F3B8',
    'haircut': u'\U0001F487',
    'hamburger': u'\U0001F354',
    'hammer': u'\U0001F528',
    'hammer_and_pick': u'\U00002692',
    'hammer_and_wrench': u'\U0001F6E0',
    'hamster_face': u'\U0001F439',
    'handbag': u'\U0001F45C',
    'happy_person_raising_one_hand': u'\U0001F64B',
    'hatching_chick': u'\U0001F423',
    'headphone': u'\U0001F3A7',
    'hear-no-evil_monkey': u'\U0001F649',
    'heart_decoration': u'\U0001F49F',
    'heart_with_arrow': u'\U0001F498',
    'heart_with_ribbon': u'\U0001F49D',
    'heavy_black_heart': u'\U00002764',
    'heavy_check_mark': u'\U00002714',
    'heavy_division_sign': u'\U00002797',
    'heavy_dollar_sign': u'\U0001F4B2',
    'heavy_exclamation_mark_symbol': u'\U00002757',
    'heavy_heart_exclamation_mark_ornament': u'\U00002763',
    'heavy_large_circle': u'\U00002B55',
    'heavy_minus_sign': u'\U00002796',
    'heavy_multiplication_x': u'\U00002716',
    'heavy_plus_sign': u'\U00002795',
    'helicopter': u'\U0001F681',
    'helm_symbol': u'\U00002388',
    'helmet_with_white_cross': u'\U000026D1',
    'herb': u'\U0001F33F',
    'hibiscus': u'\U0001F33A',
    'high-heeled_shoe': u'\U0001F460',
    'high-speed_train': u'\U0001F684',
    'high-speed_train_with_bullet_nose': u'\U0001F685',
    'high_brightness_symbol': u'\U0001F506',
    'high_voltage_sign': u'\U000026A1',
    'hocho': u'\U0001F52A',
    'hole': u'\U0001F573',
    'honey_pot': u'\U0001F36F',
    'honeybee': u'\U0001F41D',
    'horizontal_traffic_light': u'\U0001F6A5',
    'horse': u'\U0001F40E',
    'horse_face': u'\U0001F434',
    'horse_racing': u'\U0001F3C7',
    'hospital': u'\U0001F3E5',
    'hot_beverage': u'\U00002615',
    'hot_dog': u'\U0001F32D',
    'hot_pepper': u'\U0001F336',
    'hot_springs': u'\U00002668',
    'hotel': u'\U0001F3E8',
    'hourglass': u'\U0000231B',
    'hourglass_with_flowing_sand': u'\U000023F3',
    'house_building': u'\U0001F3E0',
    'house_buildings': u'\U0001F3D8',
    'house_with_garden': u'\U0001F3E1',
    'hugging_face': u'\U0001F917',
    'hundred_points_symbol': u'\U0001F4AF',
    'hushed_face': u'\U0001F62F',
    'ice_cream': u'\U0001F368',
    'ice_hockey_stick_and_puck': u'\U0001F3D2',
    'ice_skate': u'\U000026F8',
    'imp': u'\U0001F47F',
    'inbox_tray': u'\U0001F4E5',
    'incoming_envelope': u'\U0001F4E8',
    'information_desk_person': u'\U0001F481',
    'information_source': u'\U00002139',
    'input_symbol_for_latin_capital_letters': u'\U0001F520',
    'input_symbol_for_latin_letters': u'\U0001F524',
    'input_symbol_for_latin_small_letters': u'\U0001F521',
    'input_symbol_for_numbers': u'\U0001F522',
    'input_symbol_for_symbols': u'\U0001F523',
    'izakaya_lantern': u'\U0001F3EE',
    'jack-o-lantern': u'\U0001F383',
    'japanese_castle': u'\U0001F3EF',
    'japanese_dolls': u'\U0001F38E',
    'japanese_goblin': u'\U0001F47A',
    'japanese_ogre': u'\U0001F479',
    'japanese_post_office': u'\U0001F3E3',
    'japanese_symbol_for_beginner': u'\U0001F530',
    'jeans': u'\U0001F456',
    'joystick': u'\U0001F579',
    'kaaba': u'\U0001F54B',
    'key': u'\U0001F511',
    'keyboard': u'\U00002328',
    'keycap_asterisk': u'\U0000002A \U000020E3',
    'keycap_digit_eight': u'\U00000038 \U000020E3',
    'keycap_digit_five': u'\U00000035 \U000020E3',
    'keycap_digit_four': u'\U00000034 \U000020E3',
    'keycap_digit_nine': u'\U00000039 \U000020E3',
    'keycap_digit_one': u'\U00000031 \U000020E3',
    'keycap_digit_seven': u'\U00000037 \U000020E3',
    'keycap_digit_six': u'\U00000036 \U000020E3',
    'keycap_digit_three': u'\U00000033 \U000020E3',
    'keycap_digit_two': u'\U00000032 \U000020E3',
    'keycap_digit_zero': u'\U00000030 \U000020E3',
    'keycap_number_sign': u'\U00000023 \U000020E3',
    'keycap_ten': u'\U0001F51F',
    'kimono': u'\U0001F458',
    'kiss': u'\U0001F48F',
    'kiss_mark': u'\U0001F48B',
    'kissing_cat_face_with_closed_eyes': u'\U0001F63D',
    'kissing_face': u'\U0001F617',
    'kissing_face_with_closed_eyes': u'\U0001F61A',
    'kissing_face_with_smiling_eyes': u'\U0001F619',
    'koala': u'\U0001F428',
    'label': u'\U0001F3F7',
    'lady_beetle': u'\U0001F41E',
    'large_blue_circle': u'\U0001F535',
    'large_blue_diamond': u'\U0001F537',
    'large_orange_diamond': u'\U0001F536',
    'large_red_circle': u'\U0001F534',
    'last_quarter_moon_symbol': u'\U0001F317',
    'last_quarter_moon_with_face': u'\U0001F31C',
    'latin_cross': u'\U0000271D',
    'leaf_fluttering_in_wind': u'\U0001F343',
    'ledger': u'\U0001F4D2',
    'left-pointing_magnifying_glass': u'\U0001F50D',
    'left_luggage': u'\U0001F6C5',
    'left_right_arrow': u'\U00002194',
    'leftwards_arrow_with_hook': u'\U000021A9',
    'leftwards_black_arrow': u'\U00002B05',
    'lemon': u'\U0001F34B',
    'leo': u'\U0000264C',
    'leopard': u'\U0001F406',
    'level_slider': u'\U0001F39A',
    'libra': u'\U0000264E',
    'light_rail': u'\U0001F688',
    'link_symbol': u'\U0001F517',
    'linked_paperclips': u'\U0001F587',
    'lion_face': u'\U0001F981',
    'lipstick': u'\U0001F484',
    'lock': u'\U0001F512',
    'lock_with_ink_pen': u'\U0001F50F',
    'lollipop': u'\U0001F36D',
    'loudly_crying_face': u'\U0001F62D',
    'love_hotel': u'\U0001F3E9',
    'love_letter': u'\U0001F48C',
    'low_brightness_symbol': u'\U0001F505',
    'lower_left_ballpoint_pen': u'\U0001F58A',
    'lower_left_crayon': u'\U0001F58D',
    'lower_left_fountain_pen': u'\U0001F58B',
    'lower_left_paintbrush': u'\U0001F58C',
    'mahjong_tile_red_dragon': u'\U0001F004',
    'man': u'\U0001F468',
    'man_and_woman_holding_hands': u'\U0001F46B',
    'man_in_business_suit_levitating': u'\U0001F574',
    'man_with_gua_pi_mao': u'\U0001F472',
    'man_with_turban': u'\U0001F473',
    'mans_shoe': u'\U0001F45E',
    'mantelpiece_clock': u'\U0001F570',
    'maple_leaf': u'\U0001F341',
    'meat_on_bone': u'\U0001F356',
    'medium_black_circle': u'\U000026AB',
    'medium_white_circle': u'\U000026AA',
    'melon': u'\U0001F348',
    'memo': u'\U0001F4DD',
    'menorah_with_nine_branches': u'\U0001F54E',
    'mens_symbol': u'\U0001F6B9',
    'metro': u'\U0001F687',
    'microphone': u'\U0001F3A4',
    'microscope': u'\U0001F52C',
    'military_medal': u'\U0001F396',
    'milky_way': u'\U0001F30C',
    'minibus': u'\U0001F690',
    'minidisc': u'\U0001F4BD',
    'mobile_phone': u'\U0001F4F1',
    'mobile_phone_off': u'\U0001F4F4',
    'mobile_phone_with_rightwards_arrow_at_left': u'\U0001F4F2',
    'money-mouth_face': u'\U0001F911',
    'money_bag': u'\U0001F4B0',
    'money_with_wings': u'\U0001F4B8',
    'monkey': u'\U0001F412',
    'monkey_face': u'\U0001F435',
    'monorail': u'\U0001F69D',
    'moon_viewing_ceremony': u'\U0001F391',
    'mosque': u'\U0001F54C',
    'motor_boat': u'\U0001F6E5',
    'motorway': u'\U0001F6E3',
    'mount_fuji': u'\U0001F5FB',
    'mountain': u'\U000026F0',
    'mountain_bicyclist': u'\U0001F6B5',
    'mountain_cableway': u'\U0001F6A0',
    'mountain_railway': u'\U0001F69E',
    'mouse': u'\U0001F401',
    'mouse_face': u'\U0001F42D',
    'mouth': u'\U0001F444',
    'movie_camera': u'\U0001F3A5',
    'moyai': u'\U0001F5FF',
    'multiple_musical_notes': u'\U0001F3B6',
    'mushroom': u'\U0001F344',
    'musical_keyboard': u'\U0001F3B9',
    'musical_note': u'\U0001F3B5',
    'musical_score': u'\U0001F3BC',
    'nail_polish': u'\U0001F485',
    'name_badge': u'\U0001F4DB',
    'national_park': u'\U0001F3DE',
    'necktie': u'\U0001F454',
    'negative_squared_ab': u'\U0001F18E',
    'negative_squared_cross_mark': u'\U0000274E',
    'negative_squared_latin_capital_letter_a': u'\U0001F170',
    'negative_squared_latin_capital_letter_b': u'\U0001F171',
    'negative_squared_latin_capital_letter_o': u'\U0001F17E',
    'negative_squared_latin_capital_letter_p': u'\U0001F17F',
    'nerd_face': u'\U0001F913',
    'neutral_face': u'\U0001F610',
    'new_moon_symbol': u'\U0001F311',
    'new_moon_with_face': u'\U0001F31A',
    'newspaper': u'\U0001F4F0',
    'night_with_stars': u'\U0001F303',
    'no_bicycles': u'\U0001F6B3',
    'no_entry': u'\U000026D4',
    'no_entry_sign': u'\U0001F6AB',
    'no_mobile_phones': u'\U0001F4F5',
    'no_one_under_eighteen_symbol': u'\U0001F51E',
    'no_pedestrians': u'\U0001F6B7',
    'no_smoking_symbol': u'\U0001F6AD',
    'non-potable_water_symbol': u'\U0001F6B1',
    'north_east_arrow': u'\U00002197',
    'north_west_arrow': u'\U00002196',
    'nose': u'\U0001F443',
    'notebook': u'\U0001F4D3',
    'notebook_with_decorative_cover': u'\U0001F4D4',
    'nut_and_bolt': u'\U0001F529',
    'octopus': u'\U0001F419',
    'oden': u'\U0001F362',
    'office_building': u'\U0001F3E2',
    'oil_drum': u'\U0001F6E2',
    'ok_hand_sign': u'\U0001F44C',
    'old_key': u'\U0001F5DD',
    'older_man': u'\U0001F474',
    'older_woman': u'\U0001F475',
    'om_symbol': u'\U0001F549',
    'on_with_exclamation_mark_with_left_right_arrow_above': u'\U0001F51B',
    'oncoming_automobile': u'\U0001F698',
    'oncoming_bus': u'\U0001F68D',
    'oncoming_police_car': u'\U0001F694',
    'oncoming_taxi': u'\U0001F696',
    'open_book': u'\U0001F4D6',
    'open_file_folder': u'\U0001F4C2',
    'open_hands_sign': u'\U0001F450',
    'open_lock': u'\U0001F513',
    'open_mailbox_with_lowered_flag': u'\U0001F4ED',
    'open_mailbox_with_raised_flag': u'\U0001F4EC',
    'ophiuchus': u'\U000026CE',
    'optical_disc': u'\U0001F4BF',
    'orange_book': u'\U0001F4D9',
    'orthodox_cross': u'\U00002626',
    'outbox_tray': u'\U0001F4E4',
    'ox': u'\U0001F402',
    'package': u'\U0001F4E6',
    'page_facing_up': u'\U0001F4C4',
    'page_with_curl': u'\U0001F4C3',
    'pager': u'\U0001F4DF',
    'palm_tree': u'\U0001F334',
    'panda_face': u'\U0001F43C',
    'paperclip': u'\U0001F4CE',
    'part_alternation_mark': u'\U0000303D',
    'party_popper': u'\U0001F389',
    'passenger_ship': u'\U0001F6F3',
    'passport_control': u'\U0001F6C2',
    'paw_prints': u'\U0001F43E',
    'peace_symbol': u'\U0000262E',
    'peach': u'\U0001F351',
    'pear': u'\U0001F350',
    'pedestrian': u'\U0001F6B6',
    'pencil': u'\U0000270F',
    'penguin': u'\U0001F427',
    'pensive_face': u'\U0001F614',
    'performing_arts': u'\U0001F3AD',
    'persevering_face': u'\U0001F623',
    'person_bowing_deeply': u'\U0001F647',
    'person_frowning': u'\U0001F64D',
    'person_raising_both_hands_in_celebration': u'\U0001F64C',
    'person_with_ball': u'\U000026F9',
    'person_with_blond_hair': u'\U0001F471',
    'person_with_folded_hands': u'\U0001F64F',
    'person_with_pouting_face': u'\U0001F64E',
    'personal_computer': u'\U0001F4BB',
    'pick': u'\U000026CF',
    'pig': u'\U0001F416',
    'pig_face': u'\U0001F437',
    'pig_nose': u'\U0001F43D',
    'pile_of_poo': u'\U0001F4A9',
    'pill': u'\U0001F48A',
    'pine_decoration': u'\U0001F38D',
    'pineapple': u'\U0001F34D',
    'pisces': u'\U00002653',
    'pistol': u'\U0001F52B',
    'place_of_worship': u'\U0001F6D0',
    'playing_card_black_joker': u'\U0001F0CF',
    'police_car': u'\U0001F693',
    'police_cars_revolving_light': u'\U0001F6A8',
    'police_officer': u'\U0001F46E',
    'poodle': u'\U0001F429',
    'popcorn': u'\U0001F37F',
    'postal_horn': u'\U0001F4EF',
    'postbox': u'\U0001F4EE',
    'pot_of_food': u'\U0001F372',
    'potable_water_symbol': u'\U0001F6B0',
    'pouch': u'\U0001F45D',
    'poultry_leg': u'\U0001F357',
    'pouting_cat_face': u'\U0001F63E',
    'pouting_face': u'\U0001F621',
    'prayer_beads': u'\U0001F4FF',
    'princess': u'\U0001F478',
    'printer': u'\U0001F5A8',
    'public_address_loudspeaker': u'\U0001F4E2',
    'purple_heart': u'\U0001F49C',
    'purse': u'\U0001F45B',
    'pushpin': u'\U0001F4CC',
    'put_litter_in_its_place_symbol': u'\U0001F6AE',
    'rabbit': u'\U0001F407',
    'rabbit_face': u'\U0001F430',
    'racing_car': u'\U0001F3CE',
    'racing_motorcycle': u'\U0001F3CD',
    'radio': u'\U0001F4FB',
    'radio_button': u'\U0001F518',
    'radioactive_sign': u'\U00002622',
    'railway_car': u'\U0001F683',
    'railway_track': u'\U0001F6E4',
    'rainbow': u'\U0001F308',
    'raised_fist': u'\U0000270A',
    'raised_hand': u'\U0000270B',
    'raised_hand_with_fingers_splayed': u'\U0001F590',
    'raised_hand_with_part_between_middle_and_ring_fingers': u'\U0001F596',
    'ram': u'\U0001F40F',
    'rat': u'\U0001F400',
    'recreational_vehicle': u'\U0001F699',
    'red_apple': u'\U0001F34E',
    'registered_sign': u'\U000000AE',
    'relieved_face': u'\U0001F60C',
    'reminder_ribbon': u'\U0001F397',
    'restroom': u'\U0001F6BB',
    'reversed_hand_with_middle_finger_extended': u'\U0001F595',
    'revolving_hearts': u'\U0001F49E',
    'ribbon': u'\U0001F380',
    'rice_ball': u'\U0001F359',
    'rice_cracker': u'\U0001F358',
    'right-pointing_magnifying_glass': u'\U0001F50E',
    'right_anger_bubble': u'\U0001F5EF',
    'rightwards_arrow_with_hook': u'\U000021AA',
    'ring': u'\U0001F48D',
    'roasted_sweet_potato': u'\U0001F360',
    'robot_face': u'\U0001F916',
    'rocket': u'\U0001F680',
    'rolled-up_newspaper': u'\U0001F5DE',
    'roller_coaster': u'\U0001F3A2',
    'rooster': u'\U0001F413',
    'rose': u'\U0001F339',
    'rosette': u'\U0001F3F5',
    'round_pushpin': u'\U0001F4CD',
    'rowboat': u'\U0001F6A3',
    'rugby_football': u'\U0001F3C9',
    'runner': u'\U0001F3C3',
    'running_shirt_with_sash': u'\U0001F3BD',
    'sagittarius': u'\U00002650',
    'sailboat': u'\U000026F5',
    'sake_bottle_and_cup': u'\U0001F376',
    'satellite': u'\U0001F6F0',
    'satellite_antenna': u'\U0001F4E1',
    'saxophone': u'\U0001F3B7',
    'scales': u'\U00002696',
    'school': u'\U0001F3EB',
    'school_satchel': u'\U0001F392',
    'scorpion': u'\U0001F982',
    'scorpius': u'\U0000264F',
    'scroll': u'\U0001F4DC',
    'seat': u'\U0001F4BA',
    'see-no-evil_monkey': u'\U0001F648',
    'seedling': u'\U0001F331',
    'shamrock': u'\U00002618',
    'shaved_ice': u'\U0001F367',
    'sheep': u'\U0001F411',
    'shield': u'\U0001F6E1',
    'shinto_shrine': u'\U000026E9',
    'ship': u'\U0001F6A2',
    'shooting_star': u'\U0001F320',
    'shopping_bags': u'\U0001F6CD',
    'shortcake': u'\U0001F370',
    'shower': u'\U0001F6BF',
    'sign_of_the_horns': u'\U0001F918',
    'silhouette_of_japan': u'\U0001F5FE',
    'six_pointed_star_with_middle_dot': u'\U0001F52F',
    'ski_and_ski_boot': u'\U0001F3BF',
    'skier': u'\U000026F7',
    'skull': u'\U0001F480',
    'skull_and_crossbones': u'\U00002620',
    'sleeping_accommodation': u'\U0001F6CC',
    'sleeping_face': u'\U0001F634',
    'sleeping_symbol': u'\U0001F4A4',
    'sleepy_face': u'\U0001F62A',
    'sleuth_or_spy': u'\U0001F575',
    'slice_of_pizza': u'\U0001F355',
    'slightly_frowning_face': u'\U0001F641',
    'slightly_smiling_face': u'\U0001F642',
    'slot_machine': u'\U0001F3B0',
    'small_airplane': u'\U0001F6E9',
    'small_blue_diamond': u'\U0001F539',
    'small_orange_diamond': u'\U0001F538',
    'smiling_cat_face_with_heart-shaped_eyes': u'\U0001F63B',
    'smiling_cat_face_with_open_mouth': u'\U0001F63A',
    'smiling_face_with_halo': u'\U0001F607',
    'smiling_face_with_heart-shaped_eyes': u'\U0001F60D',
    'smiling_face_with_horns': u'\U0001F608',
    'smiling_face_with_open_mouth': u'\U0001F603',
    'smiling_face_with_open_mouth_and_cold_sweat': u'\U0001F605',
    'smiling_face_with_open_mouth_and_smiling_eyes': u'\U0001F604',
    'smiling_face_with_open_mouth_and_tightly-closed_eyes': u'\U0001F606',
    'smiling_face_with_smiling_eyes': u'\U0001F60A',
    'smiling_face_with_sunglasses': u'\U0001F60E',
    'smirking_face': u'\U0001F60F',
    'smoking_symbol': u'\U0001F6AC',
    'snail': u'\U0001F40C',
    'snake': u'\U0001F40D',
    'snow_capped_mountain': u'\U0001F3D4',
    'snowboarder': u'\U0001F3C2',
    'snowflake': u'\U00002744',
    'snowman': u'\U00002603',
    'snowman_without_snow': u'\U000026C4',
    'soccer_ball': u'\U000026BD',
    'soft_ice_cream': u'\U0001F366',
    'soon_with_rightwards_arrow_above': u'\U0001F51C',
    'south_east_arrow': u'\U00002198',
    'south_west_arrow': u'\U00002199',
    'spaghetti': u'\U0001F35D',
    'sparkle': u'\U00002747',
    'sparkles': u'\U00002728',
    'sparkling_heart': u'\U0001F496',
    'speak-no-evil_monkey': u'\U0001F64A',
    'speaker': u'\U0001F508',
    'speaker_with_cancellation_stroke': u'\U0001F507',
    'speaker_with_one_sound_wave': u'\U0001F509',
    'speaker_with_three_sound_waves': u'\U0001F50A',
    'speaking_head_in_silhouette': u'\U0001F5E3',
    'speech_balloon': u'\U0001F4AC',
    'speedboat': u'\U0001F6A4',
    'spider': u'\U0001F577',
    'spider_web': u'\U0001F578',
    'spiral_calendar_pad': u'\U0001F5D3',
    'spiral_note_pad': u'\U0001F5D2',
    'spiral_shell': u'\U0001F41A',
    'splashing_sweat_symbol': u'\U0001F4A6',
    'sports_medal': u'\U0001F3C5',
    'spouting_whale': u'\U0001F433',
    'squared_cjk_unified_ideograph-5272': u'\U0001F239',
    'squared_cjk_unified_ideograph-5408': u'\U0001F234',
    'squared_cjk_unified_ideograph-55b6': u'\U0001F23A',
    'squared_cjk_unified_ideograph-6307': u'\U0001F22F',
    'squared_cjk_unified_ideograph-6708': u'\U0001F237',
    'squared_cjk_unified_ideograph-6709': u'\U0001F236',
    'squared_cjk_unified_ideograph-6e80': u'\U0001F235',
    'squared_cjk_unified_ideograph-7121': u'\U0001F21A',
    'squared_cjk_unified_ideograph-7533': u'\U0001F238',
    'squared_cjk_unified_ideograph-7981': u'\U0001F232',
    'squared_cjk_unified_ideograph-7a7a': u'\U0001F233',
    'squared_cl': u'\U0001F191',
    'squared_cool': u'\U0001F192',
    'squared_free': u'\U0001F193',
    'squared_id': u'\U0001F194',
    'squared_katakana_koko': u'\U0001F201',
    'squared_katakana_sa': u'\U0001F202',
    'squared_new': u'\U0001F195',
    'squared_ng': u'\U0001F196',
    'squared_ok': u'\U0001F197',
    'squared_sos': u'\U0001F198',
    'squared_up_with_exclamation_mark': u'\U0001F199',
    'squared_vs': u'\U0001F19A',
    'stadium': u'\U0001F3DF',
    'star_and_crescent': u'\U0000262A',
    'star_of_david': u'\U00002721',
    'station': u'\U0001F689',
    'statue_of_liberty': u'\U0001F5FD',
    'steam_locomotive': u'\U0001F682',
    'steaming_bowl': u'\U0001F35C',
    'stopwatch': u'\U000023F1',
    'straight_ruler': u'\U0001F4CF',
    'strawberry': u'\U0001F353',
    'studio_microphone': u'\U0001F399',
    'sun_behind_cloud': u'\U000026C5',
    'sun_with_face': u'\U0001F31E',
    'sunflower': u'\U0001F33B',
    'sunrise': u'\U0001F305',
    'sunrise_over_mountains': u'\U0001F304',
    'sunset_over_buildings': u'\U0001F307',
    'surfer': u'\U0001F3C4',
    'sushi': u'\U0001F363',
    'suspension_railway': u'\U0001F69F',
    'swimmer': u'\U0001F3CA',
    'synagogue': u'\U0001F54D',
    'syringe': u'\U0001F489',
    't-shirt': u'\U0001F455',
    'table_tennis_paddle_and_ball': u'\U0001F3D3',
    'taco': u'\U0001F32E',
    'tanabata_tree': u'\U0001F38B',
    'tangerine': u'\U0001F34A',
    'taurus': u'\U00002649',
    'taxi': u'\U0001F695',
    'teacup_without_handle': u'\U0001F375',
    'tear-off_calendar': u'\U0001F4C6',
    'telephone_receiver': u'\U0001F4DE',
    'telescope': u'\U0001F52D',
    'television': u'\U0001F4FA',
    'tennis_racquet_and_ball': u'\U0001F3BE',
    'tent': u'\U000026FA',
    'thermometer': u'\U0001F321',
    'thinking_face': u'\U0001F914',
    'thought_balloon': u'\U0001F4AD',
    'three_button_mouse': u'\U0001F5B1',
    'thumbs_down_sign': u'\U0001F44E',
    'thumbs_up_sign': u'\U0001F44D',
    'thunder_cloud_and_rain': u'\U000026C8',
    'ticket': u'\U0001F3AB',
    'tiger': u'\U0001F405',
    'tiger_face': u'\U0001F42F',
    'timer_clock': u'\U000023F2',
    'tired_face': u'\U0001F62B',
    'toilet': u'\U0001F6BD',
    'tokyo_tower': u'\U0001F5FC',
    'tomato': u'\U0001F345',
    'tongue': u'\U0001F445',
    'top_hat': u'\U0001F3A9',
    'top_with_upwards_arrow_above': u'\U0001F51D',
    'trackball': u'\U0001F5B2',
    'tractor': u'\U0001F69C',
    'trade_mark_sign': u'\U00002122',
    'train': u'\U0001F686',
    'tram': u'\U0001F68A',
    'tram_car': u'\U0001F68B',
    'triangular_flag_on_post': u'\U0001F6A9',
    'triangular_ruler': u'\U0001F4D0',
    'trident_emblem': u'\U0001F531',
    'trolleybus': u'\U0001F68E',
    'trophy': u'\U0001F3C6',
    'tropical_drink': u'\U0001F379',
    'tropical_fish': u'\U0001F420',
    'trumpet': u'\U0001F3BA',
    'tulip': u'\U0001F337',
    'turkey': u'\U0001F983',
    'turtle': u'\U0001F422',
    'twisted_rightwards_arrows': u'\U0001F500',
    'two_hearts': u'\U0001F495',
    'two_men_holding_hands': u'\U0001F46C',
    'two_women_holding_hands': u'\U0001F46D',
    'umbrella': u'\U00002602',
    'umbrella_on_ground': u'\U000026F1',
    'umbrella_with_rain_drops': u'\U00002614',
    'unamused_face': u'\U0001F612',
    'unicorn_face': u'\U0001F984',
    'up-pointing_red_triangle': u'\U0001F53A',
    'up-pointing_small_red_triangle': u'\U0001F53C',
    'up_down_arrow': u'\U00002195',
    'upside-down_face': u'\U0001F643',
    'upwards_black_arrow': u'\U00002B06',
    'vertical_traffic_light': u'\U0001F6A6',
    'vibration_mode': u'\U0001F4F3',
    'victory_hand': u'\U0000270C',
    'video_camera': u'\U0001F4F9',
    'video_game': u'\U0001F3AE',
    'videocassette': u'\U0001F4FC',
    'violin': u'\U0001F3BB',
    'virgo': u'\U0000264D',
    'volcano': u'\U0001F30B',
    'volleyball': u'\U0001F3D0',
    'waning_crescent_moon_symbol': u'\U0001F318',
    'waning_gibbous_moon_symbol': u'\U0001F316',
    'warning_sign': u'\U000026A0',
    'wastebasket': u'\U0001F5D1',
    'watch': u'\U0000231A',
    'water_buffalo': u'\U0001F403',
    'water_closet': u'\U0001F6BE',
    'water_wave': u'\U0001F30A',
    'watermelon': u'\U0001F349',
    'waving_black_flag': u'\U0001F3F4',
    'waving_hand_sign': u'\U0001F44B',
    'waving_white_flag': u'\U0001F3F3',
    'wavy_dash': u'\U00003030',
    'waxing_crescent_moon_symbol': u'\U0001F312',
    'waxing_gibbous_moon_symbol': u'\U0001F314',
    'weary_cat_face': u'\U0001F640',
    'weary_face': u'\U0001F629',
    'wedding': u'\U0001F492',
    'weight_lifter': u'\U0001F3CB',
    'whale': u'\U0001F40B',
    'wheel_of_dharma': u'\U00002638',
    'wheelchair_symbol': u'\U0000267F',
    'white_down_pointing_backhand_index': u'\U0001F447',
    'white_exclamation_mark_ornament': u'\U00002755',
    'white_flower': u'\U0001F4AE',
    'white_frowning_face': u'\U00002639',
    'white_heavy_check_mark': u'\U00002705',
    'white_large_square': u'\U00002B1C',
    'white_left_pointing_backhand_index': u'\U0001F448',
    'white_medium_small_square': u'\U000025FD',
    'white_medium_square': u'\U000025FB',
    'white_medium_star': u'\U00002B50',
    'white_question_mark_ornament': u'\U00002754',
    'white_right_pointing_backhand_index': u'\U0001F449',
    'white_small_square': u'\U000025AB',
    'white_smiling_face': u'\U0000263A',
    'white_square_button': u'\U0001F533',
    'white_sun_behind_cloud': u'\U0001F325',
    'white_sun_behind_cloud_with_rain': u'\U0001F326',
    'white_sun_with_small_cloud': u'\U0001F324',
    'white_up_pointing_backhand_index': u'\U0001F446',
    'white_up_pointing_index': u'\U0000261D',
    'wind_blowing_face': u'\U0001F32C',
    'wind_chime': u'\U0001F390',
    'wine_glass': u'\U0001F377',
    'winking_face': u'\U0001F609',
    'wolf_face': u'\U0001F43A',
    'woman': u'\U0001F469',
    'woman_with_bunny_ears': u'\U0001F46F',
    'womans_boots': u'\U0001F462',
    'womans_clothes': u'\U0001F45A',
    'womans_hat': u'\U0001F452',
    'womans_sandal': u'\U0001F461',
    'womens_symbol': u'\U0001F6BA',
    'world_map': u'\U0001F5FA',
    'worried_face': u'\U0001F61F',
    'wrapped_present': u'\U0001F381',
    'wrench': u'\U0001F527',
    'writing_hand': u'\U0000270D',
    'yellow_heart': u'\U0001F49B',
    'yin_yang': u'\U0000262F',
    'zipper-mouth_face': u'\U0001F910'
})


UNICODE_LOOKUP = {v: k for k, v in CODES.items()}


def _get_emoji_from_unicoe_consortium(url='http://www.unicode.org/Public/emoji/1.0/full-emoji-list.html'):  # pragma no cover

    """
    Extract the full list of emoji and names from the Unicode Consortium and
    apply as much formatting as possible so the codes can be dropped into this
    file.

    Written and run with Python3.  Not tested on Python2.

    http://www.unicode.org/Public/emoji/1.0/full-emoji-list.html
    """

    if 'requests' not in globals():
        import requests
    if 'BeautifulSoup' not in globals():
        from bs4 import BeautifulSoup
    if 'sys' not in globals():
        import sys
    if 'OrderedDict' not in globals():
        from collections import OrderedDict

    response = requests.get(url)
    response.raise_for_status()
    soup = BeautifulSoup(response.text)

    # with open('utils/content.html') as f:
    #     soup = BeautifulSoup(f.read())

    header = [
        'Count', 'Code', 'Browser', 'B&W*', 'Apple', 'Andr', 'Twit', 'Wind', 'GMail',
        'DCM', 'KDDI', 'SB', 'Name', 'Version', 'Default', 'Annotations'
    ]

    output = {}
    for row in soup.find('table').find_all('tr'):
        cols = row.find_all('td')
        cols = [e.text.strip() for e in cols]
        d = OrderedDict(zip(header, [e.strip() for e in cols]))
        if d:
            _code = []
            for c in d['Code'].split(' '):
                if len(c) is 6:
                    _code.append(c.replace('+', '0000'))
                else:
                    _code.append(c.replace('+', '000'))
            code = ' '.join(_code)
            name = d['Name'].replace(' ', '_').strip()
            char = "u'" + code.replace('U', '\\U') + "',"
            output[name] = char

    for name in sorted(output.keys()):
        print("    '%s': %s" % (name, output[name]))
